
Foreman - Refactor #10232

move validations and casting out of lookup keys and values into single-responsibility classes

04/22/2015 06:50 AM - Tom Caspy

Status: Closed   

Priority: Normal   

Assignee: Tom Caspy   

Category: Parameters   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2399

  

Description

Related issues:

Related to Foreman - Tracker #4470: Usability of parameters and overrides New

Related to Foreman - Bug #11415: ENC fails with undefined method `value' for ... Closed 08/19/2015

Related to Foreman - Bug #11862: Smart variables with illegal characters rais... Closed 09/17/2015

Related to Foreman - Bug #14476: Caster fails with incorrect exception trying... Closed 04/05/2016

Has duplicate Foreman - Refactor #9142: Unify validate_regexp and validate_li... Duplicate 01/28/2015

Associated revisions

Revision 9f88e8a1 - 08/19/2015 03:42 AM - Tom Caspy

fixes #10232 - moving validations and casting out of lookup key and value

History

#1 - 04/22/2015 06:50 AM - Tom Caspy

- Related to Tracker #4470: Usability of parameters and overrides added

#2 - 04/22/2015 06:56 AM - Dominic Cleal

- Tracker changed from Bug to Refactor

- Category set to Parameters

#3 - 05/21/2015 09:16 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2399 added

- Pull request deleted ()

#4 - 05/26/2015 12:08 PM - Dominic Cleal

- Has duplicate Refactor #9142: Unify validate_regexp and validate_list for lookup value/key added

#5 - 08/19/2015 03:43 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#6 - 08/19/2015 04:02 AM - Tom Caspy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9f88e8a17ed07d323c82234e0b2524e606b5d515.
#7 - 08/19/2015 05:17 AM - Dominic Cleal

- Related to Bug #11415: ENC fails with undefined method `value' for #<LookupKey ..> added

#8 - 09/21/2015 03:15 AM - Ori Rabin

- Related to Bug #11862: Smart variables with illegal characters raises an exception  added

#9 - 04/08/2016 09:05 AM - Dominic Cleal

- Related to Bug #14476: Caster fails with incorrect exception trying to cast invalid real from string added
